Subject: Offline Message from Ayesha AlMarri: Hello I have emailed customer service wi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 08 Jun 2020 06:59:47 -0000

From: Ayesha AlMarri <[email-masked]>
Phone: 
Location: Ras al-Khaimah, United Arab Emirates
URL: https://www.mumzworld.com/en/faq-new
Department: 

Hello
I have emailed customer service with no luck, tried calling but no answer.
Regarding my last order, I have been waiting a very long time to receive the kidKraft lets cook wooden play kitchen.
I would like a clarification, or an immediate refund as it is absurd to wait for this long for a toy. 

----
Zopim
https://www.zopim.com